capture log close
log using wf4-loops-error1, replace text

//  program:    wf4-loops-error1.do
//  task:       error in a loop command
//  project:    workflow chapter 4
//  author:     scott long \ 2008-04-09

//  #0
//  setup

version 10
set linesize 80
clear all
macro drop _all

//  #1
//  load data

use wf-loops, clear

//  #2
//  loop command

foreach varname in "sdneighb sdsocial sdchild sdfriend sdwork sdmarry" {
    gen B`varname' = `varname'
    replace  B`varname' = 0 if `varname'==1 | `varname'==2
    replace  B`varname' = 1 if `varname'==3 | `varname'==4
}

log close
exit